<template>
  <ErrorError404 v-if="error?.statusCode === 404" :error="error" />
  <ErrorGeneral v-else :error="error" />
</template>

<script setup lang="ts">
import type { NuxtError } from "#app";
const { t } = useI18n();
const props = defineProps({
  error: {
    type: Object as () => NuxtError,
    default: () => ({}) as NuxtError,
  },
});
useSeoMeta({
  title: computed(() => `${t("errorSeo.title")} ${props.error?.statusCode}`),
  description: computed(() => t("errorSeo.description")),
});
</script>
